import { useState } from "react";
import {
    LineChart,
    Line,
    XAxis,
    YAxis,
    CartesianGrid,
    Tooltip,
    Legend
} from "recharts";

export const Co2LineChart = ({ myData }) => {


    const [selectedData, setSelectedData] = useState("Cement");

    const onDataChange = (e) => {
        setSelectedData(e.target.value);
    }
    return (
        <div >

            <label>
                Pick type of data:
                <select
                    value={selectedData}
                    onChange={onDataChange}
                >
                    <option value="Gas Fuel">Gas Fuel</option>
                    <option value="Liquid Fuel">Liquid Fuel</option>
                    <option value="Solid Fuel">Solid Fuel</option>
                    <option value="Cement">Cement</option>
                    <option value="Gas Flaring">Gas Flaring</option>
                </select>
            </label>

            <LineChart
                width={1000}
                height={500}
                data={myData}
                margin={{
                    top: 50,
                    right: 30,
                    left: 50,
                    bottom: 5
                }}
            >
                <CartesianGrid strokeDasharray="3 3" />
                <XAxis dataKey="Year" />
                <YAxis />
                <Tooltip />
                <Legend />
                <Line
                    type="monotone"
                    dataKey="Total"
                    stroke="#8884d8"
                    activeDot={{ r: 8 }}
                />
                <Line
                    type="monotone"
                    dataKey={selectedData}
                    stroke="#82ca9d"
                />
            </LineChart>

        </div >
    )
}

